com.genesyslab.wfm7.API.service.config761

## Class CfgVirtualActivity

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgVirtualActivity

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgVirtualActivity
      extends java.lang.Object
      implements java.io.Serializable

  Multi-Site Activity information. A multi-site activity consists of several activities from different sites.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` A timestamp value -- marks the point in time when the Object information was obtained
    `private CfgSiteActivity[]` | `wmActivities` An array of activities (`CfgSiteActivity` of which the multi-site activity consists
    `private int` | `wmActivitiesNSizeIs` Number of elements in wmActivities array
    `private int` | `wmBUId` Business Unit ID, identifies the `CfgBU` object
    `private java.lang.String` | `wmName` Name of Multi-Site Activity
    `private CfgActivityHours[]` | `wmOpenHours` An array containing Activity Open Hours (`CfgActivityHours`) for every day of the week, where the array index is: 0 - Mon, 1 - Tue, 2 - Wed, 3 - Thu, 4 - Fri, 5 - Sat, 6 - Sun
    `private java.lang.String` | `wmShortName` Short Name for the Multi-Site Activity
    `private int` | `wmType` Activity Type (`ECfgActivityType`)
    `private int` | `wmVirtualActivityId` Multi-Site Activity ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgVirtualActivity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgVirtualActivity.
    `CfgSiteActivity[]` | `getWmActivities()` Gets the wmActivities value for this CfgVirtualActivity.
    `int` | `getWmActivitiesNSizeIs()` Gets the wmActivitiesNSizeIs value for this CfgVirtualActivity.
    `int` | `getWmBUId()` Gets the wmBUId value for this CfgVirtualActivity.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgVirtualActivity.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgVirtualActivity.
    `int` | `getWmType()` Gets the wmType value for this CfgVirtualActivity.
    `int` | `getWmVirtualActivityId()` Gets the wmVirtualActivityId value for this CfgVirtualActivity.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgVirtualActivity.
    `void` | `setWmActivities(CfgSiteActivity[] wmActivities)` Sets the wmActivities value for this CfgVirtualActivity.
    `void` | `setWmActivitiesNSizeIs(int wmActivitiesNSizeIs)` Sets the wmActivitiesNSizeIs value for this CfgVirtualActivity.
    `void` | `setWmBUId(int wmBUId)` Sets the wmBUId value for this CfgVirtualActivity.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgVirtualActivity.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgVirtualActivity.
    `void` | `setWmType(int wmType)` Sets the wmType value for this CfgVirtualActivity.
    `void` | `setWmVirtualActivityId(int wmVirtualActivityId)` Sets the wmVirtualActivityId value for this CfgVirtualActivity.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmVirtualActivityId

          private int wmVirtualActivityId

      Multi-Site Activity ID

    - #### wmBUId

          private int wmBUId

      Business Unit ID, identifies the `CfgBU` object

    - #### wmName

          private java.lang.String wmName

      Name of Multi-Site Activity

    - #### wmShortName

          private java.lang.String wmShortName

      Short Name for the Multi-Site Activity

    - #### wmType

          private int wmType

      Activity Type (`ECfgActivityType`)

    - #### wmActivitiesNSizeIs

          private int wmActivitiesNSizeIs

      Number of elements in wmActivities array

    - #### wmActivities

          private CfgSiteActivity[] wmActivities

      An array of activities (`CfgSiteActivity` of which the multi-site activity consists

    - #### wmOpenHours

          private CfgActivityHours[] wmOpenHours

      An array containing Activity Open Hours (`CfgActivityHours`) for every day of the week, where the array index is: 0 - Mon, 1 - Tue, 2 - Wed, 3 - Thu, 4 - Fri, 5 - Sat, 6 - Sun

    - #### timestamp

          private long timestamp

      A timestamp value -- marks the point in time when the Object information was obtained

  - ### Constructor Detail

    - #### CfgVirtualActivity

          public CfgVirtualActivity()

  - ### Method Detail

    - #### getWmVirtualActivityId

          public int getWmVirtualActivityId()

      Gets the wmVirtualActivityId value for this CfgVirtualActivity.
      Returns:
        wmVirtualActivityId

    - #### setWmVirtualActivityId

          public void setWmVirtualActivityId(int wmVirtualActivityId)

      Sets the wmVirtualActivityId value for this CfgVirtualActivity.
      Parameters:
        `wmVirtualActivityId` -

    - #### getWmBUId

          public int getWmBUId()

      Gets the wmBUId value for this CfgVirtualActivity.
      Returns:
        wmBUId

    - #### setWmBUId

          public void setWmBUId(int wmBUId)

      Sets the wmBUId value for this CfgVirtualActivity.
      Parameters:
        `wmBUId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgVirtualActivity.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgVirtualActivity.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgVirtualActivity.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgVirtualActivity.
      Parameters:
        `wmShortName` -

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this CfgVirtualActivity.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this CfgVirtualActivity.
      Parameters:
        `wmType` -

    - #### getWmActivitiesNSizeIs

          public int getWmActivitiesNSizeIs()

      Gets the wmActivitiesNSizeIs value for this CfgVirtualActivity.
      Returns:
        wmActivitiesNSizeIs

    - #### setWmActivitiesNSizeIs

          public void setWmActivitiesNSizeIs(int wmActivitiesNSizeIs)

      Sets the wmActivitiesNSizeIs value for this CfgVirtualActivity.
      Parameters:
        `wmActivitiesNSizeIs` -

    - #### getWmActivities

          public CfgSiteActivity[] getWmActivities()

      Gets the wmActivities value for this CfgVirtualActivity.
      Returns:
        wmActivities

    - #### setWmActivities

          public void setWmActivities(CfgSiteActivity[] wmActivities)

      Sets the wmActivities value for this CfgVirtualActivity.
      Parameters:
        `wmActivities` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgVirtualActivity.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgVirtualActivity.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.